unit textbox3dfrm;

interface

uses
  {$IFNDEF FPC}Windows, {$ELSE}LResources, {$ENDIF}SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, dx_scene, dx_objects, dx_textbox, dx_vgcore, dx_vglayer;

type
  TfrmTextBox3D = class(TForm)
    dxScene1: TdxScene;
    Root1: TdxVisualObject;
    TextBox3D1: TdxTextBox3D;
    Light1: TdxLight;
    GUIObjectLayer1: TdxGUIObjectLayer;
    Root2: TvxLayout;
    CheckBox1: TvxCheckBox;
    TrackBar1: TvxTrackBar;
    Label1: TvxLabel;
    procedure CheckBox1Change(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmTextBox3D: TfrmTextBox3D;

implementation

{$R *.dfm}

procedure TfrmTextBox3D.CheckBox1Change(Sender: TObject);
begin
  TextBox3D1.ShowBackground := CheckBox1.IsChecked;
end;

procedure TfrmTextBox3D.TrackBar1Change(Sender: TObject);
begin
  TextBox3D1.RotateAngle.Y := TrackBar1.Value;
end;

end.
